Modify

Opened 3 years ago

Closed 2 years ago

#14123 closed defect (fixed)

On first startup: Registered toolbar action overwritten

Reported by: skyper Owned by: team
Priority: minor Milestone: 17.02
Component: Core Version: latest
Keywords: template_report toolbar action Cc:

Description

What steps will reproduce the problem?

  1. start JOSM without preferences (first time)
  2. Find registered toolbar action been overwritten

What is the expected result?

No overwritting on first startup

What happens instead?

Overwritting of two toolbar actions

Please provide any additional information below. Attach a screenshot if possible.

user@host:~$ /usr/lib/jvm/java-8-openjdk-amd64/bin/java -jar josm-latest.jar --language=en
2016-12-16 16:56:26.804 INFORMATION: Protokollierungsgrad ist bei INFORMATION (INFO, 800)
2016-12-16 16:56:30.174 INFO: GET https://josm.openstreetmap.de/wiki/StartupPage -> 200
2016-12-16 16:56:32.144 INFO: Keystroke shift ctrl pressed P is already assigned to org.openstreetmap.josm.actions.PurgeAction@34b9f960, will be overridden by org.openstreetmap.josm.actions.PurgeAction@59bd7a40
2016-12-16 16:56:32.145 INFO: Registered toolbar action purge overwritten: org.openstreetmap.josm.actions.PurgeAction gets org.openstreetmap.josm.actions.PurgeAction
2016-12-16 16:56:32.166 INFO: GET https://api.openstreetmap.org/api/capabilities -> 200 (391 B)
2016-12-16 16:56:32.167 INFO: OK
2016-12-16 16:56:32.406 INFO: Keystroke shift pressed J is already assigned to org.openstreetmap.josm.actions.JoinAreasAction@6f19ac19, will be overridden by org.openstreetmap.josm.actions.JoinAreasAction@42d9731
2016-12-16 16:56:32.415 INFO: Registered toolbar action joinareas overwritten: org.openstreetmap.josm.actions.JoinAreasAction gets org.openstreetmap.josm.actions.JoinAreasAction
2016-12-16 16:56:34.190 INFO: GET https://josm.openstreetmap.de/maps -> 200
URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-12-15 21:36:30 +0100 (Thu, 15 Dec 2016)
Build-Date:2016-12-16 02:32:04
Revision:11405
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11405 en) Linux Debian GNU/Linux 8.6 (jessie)
Memory Usage: 354 MB / 882 MB (174 MB allocated, but free)
Java version: 1.8.0_111-8u111-b14-2~bpo8+1-b14, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-8-jre:amd64-8u111-b14-2~bpo8+1
Java ATK Wrapper package: libatk-wrapper-java:all-0.30.4-3
Program arguments: [--language=en]

Attachments (0)

Change History (3)

comment:1 Changed 2 years ago by skyper

Milestone: 17.01

See #13955 for another key.

comment:2 Changed 2 years ago by Don-vip

Milestone: 17.0117.02

comment:3 Changed 2 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 11611/josm:

fix #14123 - On first startup: Registered toolbar action overwritten

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.